%define	distname	StepMania

Summary:	A rythm game
Name:		stepmania
Version:	3.9
Release:	%mkrel 19
License:	MIT
Url:		http://www.stepmania.com/wiki/Downloads
Group:		Games/Arcade
Source0:	%{distname}-%{version}-src.tar.bz2
Patch0:         StepMania-3.9-x86_64-build.patch
Patch1:		StepMania-3.9-build_crypto.patch
Patch3:		StepMania-3.9-home.patch
Patch4:		StepMania-3.9-pkgdir.patch
Patch5:		StepMania-3.9-eventmask.patch
Patch6:		StepMania-3.9-extraqual.patch
Patch7:		StepMania-3.9-replace-this.patch
Patch8:		StepMania-3.9-src-gettid.patch
Patch9:		stepmania-3.9-ffmpeg-all-4.patch
Patch10:	stepmania-3.9-ffmpeg-headers.patch
Patch11:	stepmania-3.9-ffmpeg-pixfmt.patch
Patch12:	stepmania-3.9-select_style.patch
Patch13:	stepmania-3.9-gcc43.patch
Patch14:	stepmania-3.9-fix-str-fmt.patch
Patch15:	stepmania-3.9-libpng15.patch
Patch16:	stepmania-gcc46.patch
Patch17:	stepmania-gcc47.patch
BuildRequires:  ffmpeg-devel
BuildRequires:  oggvorbis-devel
BuildRequires:  jpeg-devel
BuildRequires:  SDL-devel
BuildRequires:  lua5.0-devel
BuildRequires:	gtk2-devel
BuildRequires:	MesaGLU-devel
BuildRequires:	mad-devel
Requires:	%{name}-data
Requires:	soundwrapper
Suggests:	%{name}-stepmix1

%description
StepMania is a music/rhythm game. The player presses different buttons in time 
to the music and to note patterns that scroll across the screen. Features 3D 
graphics, visualizations, support for gamepads/dance pads, a step recording 
mode, and more!
To add songs, simply copy the content of your folder containing songs 
to ~/StepMania/Songs as user, or to /usr/share/StepMania/Songs as root.

%prep
%setup -q -n %{distname}-%{version}-src
%patch0 -p1 -b .x86_64
%patch1 -p1 -b .crypto
%patch3 -p1 -b .home
%patch4 -p1 -b .pkgdir
%patch5 -p1 -b .eventmask
%patch6 -p1 -b .extraqual
%patch7 -p1 -b .replace
%patch8 -p1 -b .gettid
%patch9 -p1 -b .ffmpeg-4
%patch10 -p1 -b .ffmpeg-headers
%patch11 -p1 -b .ffmpeg-pixfmt
%patch12 -p1 -b .select-style
%patch13 -p1 -b .gcc
%patch14 -p1 -b .str
%patch15 -p0 -b .libpng
%patch16 -p1 -b .gcc
%patch17 -p1 -b .gcc

%build
export CFLAGS="%{optflags} -O1"
export CXXFLAGS="%{optflags} -O1 -fpermissive"
%configure2_5x \
  --disable-dependency-tracking \
  --bindir=%{_gamesbindir} \
  --datadir=%{_gamesdatadir} \
  --with-mp3

%make

%install
%makeinstall_std
install -d -m 0755 -p %{buildroot}%{_iconsdir}
install -m 0644 %{_topdir}/BUILD/%{distname}-%{version}-src/src/%{distname}.xpm %{buildroot}%{_iconsdir}/

install -d -m 0755 -p %{buildroot}%{_libdir}/%{distname}
mv %{buildroot}%{_gamesbindir}/GtkModule.so %{buildroot}%{_libdir}/%{distname}/
chmod 0644 %{buildroot}%{_libdir}/%{distname}/GtkModule.so

install -d -m 0755 -p %{buildroot}%{_datadir}/applications
cat << EOF > %buildroot%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=soundwrapper %{_gamesbindir}/stepmania
Name=StepMania
Comment=A rythm game
Icon=%{distname}
Categories=Game;ArcadeGame;
EOF

%files
%doc README-FIRST.html NEWS
%{_gamesbindir}/%{name}
%{_libdir}/%{distname}/GtkModule.so
%{_iconsdir}/%{distname}.xpm
%{_datadir}/applications/%{_real_vendor}-*.desktop




%changelog

* Tue Jan 15 2013 luigiwalser <luigiwalser> 3.9-19.mga3
+ Revision: 388405
- use fpermissive to make it build

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - include string
    - add patches

* Tue Mar 06 2012 zezinho <zezinho> 3.9-18.mga2
+ Revision: 220645
- add soundwrapper to menu as it is required when pulseaudio is disabled

* Sun Sep 18 2011 fwang <fwang> 3.9-17.mga2
+ Revision: 145030
- fix build with libpng 1.5

  + stormi <stormi>
    - do not use soundwrapper anymore in menu entry (crashes the game)
    - spec file cleaning
    - increase release so that it's higher than in mageia 1
    - suggest stepmania-stepmix1

* Sat Jun 25 2011 zezinho <zezinho> 3.9-13.mga2
+ Revision: 113546
- imported package stepmania

